WebLogicJMSJDBCStore (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJMSJDBCStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJMSJDBCStore

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebLogicJMSStore

    public interface WebLogicJMSJDBCStore

extends WebLogicJMSStore

Represents a WebLogic JDBC persistence store for JMS messages.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`WebLogicJDBCConnectionPool` | `getConnectionPool()`
`java.lang.String` | `getPrefixName()`
`boolean` | `hasConnectionPool()`
`boolean` | `hasPrefixName()`
`void` | `setConnectionPool(WebLogicJDBCConnectionPool pool)`
`void` | `setPrefixName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJMSStore
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getConnectionPool

    WebLogicJDBCConnectionPool getConnectionPool()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setConnectionPool

    void setConnectionPool(WebLogicJDBCConnectionPool pool)

### hasConnectionPool

    boolean hasConnectionPool()

### getPrefixName

    java.lang.String getPrefixName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrefixName

    void setPrefixName(java.lang.String s)

### hasPrefixName

    boolean hasPrefixName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD